/* This custom CSS file overrides the Furo theme or Sphinx-Design defaults */
/* IMPORTANT: Other Salt doc projects point to this file. Don't delete it! */

/* Table of contents

1. Headings
2. Colors
3. Tables
4. Landing page styles

*/

/* 1. Headings */

h2, h3 {
  padding-top: 22px;
}

/* 2. Colors */

/* These colors override Sphinx-Design defaults to make them Salt Branded */
/* See the Salt Branding Guide for official project colors:  */
/* https://gitlab.com/saltstack/open/salt-branding-guide */

/* Note: Highlight colors should be 15% darker than the replacing color */
/* See https://sphinx-design.readthedocs.io/en/furo-theme/css_variables.html */


:root, body {
  --sd-color-primary: #0091da;
  --sd-color-primary-highlight: #007bb9;
  --sd-color-info: #57bcad;
  --sd-color-info-highlight: #42a798;
}

/* 3. Tables */

table.docutils th.stub {
  text-align: right;
}

table.docutils td {
  padding-bottom: 15px;
  padding-left: 10px;
  padding-right: 10px;
}

table.docutils td p:not(:first-child) {
  padding-top: 25px;
}

table.checkmarks td:not(:first-child) {
  text-align: center;
}

table.checkmarks td {
  padding: 0px;
}

table.align-headers-left th.head {
  text-align: left;
}

table.slim td {
  padding: 0px;
}

table.extra-padding td {
  padding-bottom: 20px;
}

table.windows-mac-download td ul {
  margin-top: 0px;
  margin-bottom: 0px;
  font-size: 13px;
  list-style-type: none;
}

.table-left table {
  margin-left: 0;
}

.list-with-no-space ul, ol {
  margin-top: 0;
  margin-bottom: 0;
  margin-left: 15px;
}

table.no-bullets td ul {
  margin-top: 0px;
  margin-bottom: 0px;
  list-style-type: none;
}

/* 4. Landing page styles */

:root {
  --landing-title-clip-path: polygon(0px 0px, 100% 0%, 100% 100%, 0% calc(100% - 1.5rem));
  --landing-title-webkit-clip-path: polygon(0px 0px, 100% 0%, 100% 100%, 0% calc(100% - 1.5rem));
  --landing-title-background-image-light: linear-gradient(315deg, #000000 0%, #000000 74%);
  --landing-title-background-image-dark: linear-gradient(315deg, #1a1c1e 0%, #1a1c1e 74%);
}

@media(prefers-color-scheme: dark){
  :root {
    --landing-title-background-image: var(--landing-title-background-image-dark);
  }
}

@media(prefers-color-scheme: light){
  :root {
    --landing-title-background-image: var(--landing-title-background-image-light);
  }
}

.landing-title {
  padding: 0.1rem 0.5rem 0.6rem 0;
  margin-bottom: -20px;
  background-image: var(--landing-title-background-image);
  clip-path: var(--landing-title-clip-path);
  -webkit-clip-path: var(landing-title-webkit-clip-path);
}

.landing-title-bottom-margin {
  padding: 0.1rem 0.5rem 0.6rem 0;
  margin-bottom: 30px;
  background-image: var(--landing-title-background-image);
  clip-path: var(--landing-title-clip-path);
  -webkit-clip-path: var(landing-title-webkit-clip-path);
}

.no-pointer {
  pointer-events: none;
}
